API Endpoints

Reverse phone

Use this endpoint to find and enrich people profile URL from a mobile number

Endpoint

POST https://api.airscale.io/v1/reverse-phone
POST https://api.airscale.io/v1/reverse-phone
POST https://api.airscale.io/v1/reverse-phone

Headers

Key

Value

Required

Content-Type

application/json

Yes

Authorization

Bearer <YOUR_API_KEY>

Yes

Request Body

{
     "email": "+33610607076"
}
{
     "email": "+33610607076"
}
{
     "email": "+33610607076"
}

Field

Type

Required

email

string

Yes

Response

Successful Response (200)

Important:

The entire profile enriched is returned, not only the profile URL.

{
 "body": {
        "url": "https://www.linkedin.com/in/vdetraz",
        "identifier": "vdetraz", (...)
}
{
 "body": {
        "url": "https://www.linkedin.com/in/vdetraz",
        "identifier": "vdetraz", (...)
}
{
 "body": {
        "url": "https://www.linkedin.com/in/vdetraz",
        "identifier": "vdetraz", (...)
}

Example Usage

cURL
curl -X POST https://api.airscale.io/v1/reverse-phone \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"mobile_phone": "+13178402714"}'

curl -X POST https://api.airscale.io/v1/reverse-phone \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"mobile_phone": "+13178402714"}'

curl -X POST https://api.airscale.io/v1/reverse-phone \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"mobile_phone": "+13178402714"}'

Python
import requests

url = 'https://api.airscale.io/v1/reverse-phone'
headers = {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json'
}
payload = {
    'mobile_phone': '+13178402714'
}

response = requests.post(url, headers=headers, json=payload)
data = response.json()
print(data)
import requests

url = 'https://api.airscale.io/v1/reverse-phone'
headers = {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json'
}
payload = {
    'mobile_phone': '+13178402714'
}

response = requests.post(url, headers=headers, json=payload)
data = response.json()
print(data)
import requests

url = 'https://api.airscale.io/v1/reverse-phone'
headers = {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json'
}
payload = {
    'mobile_phone': '+13178402714'
}

response = requests.post(url, headers=headers, json=payload)
data = response.json()
print(data)
JavaScript (Fetch)
const response = await fetch('https://api.airscale.io/v1/reverse-phone', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    mobile_phone: '+13178402714'
  })
});

const data = await response.json();
console.log(data);
const response = await fetch('https://api.airscale.io/v1/reverse-phone', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    mobile_phone: '+13178402714'
  })
});

const data = await response.json();
console.log(data);
const response = await fetch('https://api.airscale.io/v1/reverse-phone', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    mobile_phone: '+13178402714'
  })
});

const data = await response.json();
console.log(data);
PHP
<?php

function reversePhoneLookup($mobile_phone) {
    $url = 'https://api.airscale.io/v1/reverse-phone';
    $apiKey = 'YOUR_API_KEY';
    
    $data = ['mobile_phone' => $mobile_phone];
    
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Authorization: Bearer ' . $apiKey
    ]);
    
    $response = curl_exec($ch);
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);
    
    if ($response === false) {

<?php

function reversePhoneLookup($mobile_phone) {
    $url = 'https://api.airscale.io/v1/reverse-phone';
    $apiKey = 'YOUR_API_KEY';
    
    $data = ['mobile_phone' => $mobile_phone];
    
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Authorization: Bearer ' . $apiKey
    ]);
    
    $response = curl_exec($ch);
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);
    
    if ($response === false) {

<?php

function reversePhoneLookup($mobile_phone) {
    $url = 'https://api.airscale.io/v1/reverse-phone';
    $apiKey = 'YOUR_API_KEY';
    
    $data = ['mobile_phone' => $mobile_phone];
    
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Authorization: Bearer ' . $apiKey
    ]);
    
    $response = curl_exec($ch);
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);
    
    if ($response === false) {

GO
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io"
    "net/http"
)

type ReversePhoneRequest struct {
    MobilePhone string `json:"mobile_phone"`
}

func reversePhoneLookup(mobilePhone string) error {
    url := "https://api.airscale.io/v1/reverse-phone"

    payload := ReversePhoneRequest{
        MobilePhone: mobilePhone,
    }

    jsonData, err := json.Marshal(payload)
    if err != nil {
        return fmt.Errorf("error marshaling JSON: %w", err)
    }

    req, err := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    if err != nil {
        return fmt.Errorf("error creating request: %w", err)
    }

    req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        return fmt.Errorf("error making request: %w", err)
    }
    defer resp.Body.Close()

    body, err := io.ReadAll(resp.Body)
    if err != nil {
        return fmt.Errorf("error reading response: %w", err)
    }

    fmt.Printf("Status: %d\n", resp.StatusCode)
    fmt.Printf("Response: %s\n", string(body))

    return nil
}

func main() {
    err := reversePhoneLookup("+13178402714")
    if err != nil {
        fmt.Printf("Error: %v\n", err)
    }
}
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io"
    "net/http"
)

type ReversePhoneRequest struct {
    MobilePhone string `json:"mobile_phone"`
}

func reversePhoneLookup(mobilePhone string) error {
    url := "https://api.airscale.io/v1/reverse-phone"

    payload := ReversePhoneRequest{
        MobilePhone: mobilePhone,
    }

    jsonData, err := json.Marshal(payload)
    if err != nil {
        return fmt.Errorf("error marshaling JSON: %w", err)
    }

    req, err := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    if err != nil {
        return fmt.Errorf("error creating request: %w", err)
    }

    req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        return fmt.Errorf("error making request: %w", err)
    }
    defer resp.Body.Close()

    body, err := io.ReadAll(resp.Body)
    if err != nil {
        return fmt.Errorf("error reading response: %w", err)
    }

    fmt.Printf("Status: %d\n", resp.StatusCode)
    fmt.Printf("Response: %s\n", string(body))

    return nil
}

func main() {
    err := reversePhoneLookup("+13178402714")
    if err != nil {
        fmt.Printf("Error: %v\n", err)
    }
}
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io"
    "net/http"
)

type ReversePhoneRequest struct {
    MobilePhone string `json:"mobile_phone"`
}

func reversePhoneLookup(mobilePhone string) error {
    url := "https://api.airscale.io/v1/reverse-phone"

    payload := ReversePhoneRequest{
        MobilePhone: mobilePhone,
    }

    jsonData, err := json.Marshal(payload)
    if err != nil {
        return fmt.Errorf("error marshaling JSON: %w", err)
    }

    req, err := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    if err != nil {
        return fmt.Errorf("error creating request: %w", err)
    }

    req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        return fmt.Errorf("error making request: %w", err)
    }
    defer resp.Body.Close()

    body, err := io.ReadAll(resp.Body)
    if err != nil {
        return fmt.Errorf("error reading response: %w", err)
    }

    fmt.Printf("Status: %d\n", resp.StatusCode)
    fmt.Printf("Response: %s\n", string(body))

    return nil
}

func main() {
    err := reversePhoneLookup("+13178402714")
    if err != nil {
        fmt.Printf("Error: %v\n", err)
    }
}

On this page

© 2026

Airscale · All rights reserved